Subject: Re: bug#31159: Reverse order for old grub.cfg entries

From: [email-masked] (Ludovic Courtès)
Date: Wed, 18 Apr 2018 16:04:44 +0200

Hello,

Mark H Weaver <[email-masked]> skribis:

> Mathieu Othacehe <[email-masked]> writes:
>
>> This seems like a good idea ! If we decide to make it unconditional the
>> patch attached does the job. We can also make it configurable in
>> bootloader-configuration for instance.
>>
>> WDYT ?
>
> Thank you, Mathieu!  I doubt that there's a need to make this
> configurable, but I'd like to hear an opinion from Ludovic, since I
> guess he was the one who implemented the current ordering.
>
> What do you think, Ludovic?

I agree with you.  As long as the entry labels clearly show which one is
the most recent, that sounds good.

However!  On headless machines, we’d rather make sure users know about
this change.  On our Libreboot “bayfront” server, GRUB for some reason
fails to display anything, and on several occasions we’ve had to blindly
select an older generation.  Hopefully this is an unusual situation ;-),
but it could happen on ARM boards as well.

Ludo’.